package com.steerinfo.baseinfo.meterbaseunitinfo.mapper;

import com.steerinfo.baseinfo.meterbaseunitinfo.model.MeterBaseUnitInfo;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseUnitInfoMapper extends IBaseMapper<MeterBaseUnitInfo, String> {
    String getNewID(@org.apache.ibatis.annotations.Param(value="afl")String afl);
    List<MeterBaseUnitInfo> queryBynoPage(Map<String, Object> map);
    List<MeterBaseUnitInfo> getUnitInfo(MeterBaseUnitInfo map);
}